Summary: The Cilk Multithreaded Runtime System
Name: cilk
Version: 5.4.2.2_1708
Release: 1
URL: http://supertech.lcs.mit.edu
Source0: %{name}-5.4.2.2_1708.tar.bz2
License: GPL
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-root
Prefix: /usr
%ifarch x86_64
%define usrlib /usr/lib64
%else
%define usrlib /usr/lib
%endif

%description
The Cilk multithreaded programming system is a C-like parallel
programming language with a provably good schedule.

%prep
%setup -q -c

%build
echo $RPM_BUILD_ROOT
cd 5.4.2.2
./configure --prefix=/usr --libdir=%{usrlib}
make

%install
cd 5.4.2.2
make install prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT%{usrlib}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr
#%dir /usr/include/cilk
#/usr/lib/cilk/cilk2c
#/usr/lib/cilk/specs
#/usr/lib/libcilk.so.1.0.3
#/usr/lib/libcilk.so.1
#/usr/lib/libcilk.so
#/usr/lib/libcilk.la
#/usr/lib/libcilk.a
#/usr/lib/libcilk.g.so.1.0.3
#/usr/lib/libcilk.g.so.1
#/usr/lib/libcilk.g.so
#/usr/lib/libcilk.g.la
#/usr/lib/libcilk.g.a
#/usr/lib/libcilk.p.so.1.0.3
#/usr/lib/libcilk.p.so.1
#/usr/lib/libcilk.p.so
#/usr/lib/libcilk.p.la
#/usr/lib/libcilk.p.a
#/usr/lib/libcilk.g.p.so.1.0.3
#/usr/lib/libcilk.g.p.so.1
#/usr/lib/libcilk.g.p.so
#/usr/lib/libcilk.g.p.la
#/usr/lib/libcilk.g.p.a
#/usr/include/cilk/cilk-cilk2c.h
#/usr/include/cilk/cilk.h
#/usr/include/cilk/cilk-lib.cilkh
#/usr/include/cilk/gcc-builtin.h
#/usr/include/cilk/cilk-cilk2c-pre.h
#/usr/include/cilk/cilk-conf.h
#/usr/include/cilk/cilk-sysdep.h
#/usr/bin/cilk
#/usr/bin/cilkc

%changelog
* Fri Jul 25 2003 Bradley C. Kuszmaul <bradley@bradley.lcs.mit.edu>
- Create an RPM spec.
