#include <assert.h>
#include <stdarg.h>

double foo (char *fmt, ...) {
    va_list ap;
    int d=0;
    char c=0;
    double f=0;
    char *s=0;
    double result=0;
    va_start(ap, fmt);
    while (*fmt) {
	switch (*fmt++) {
	case 's':
	    s = va_arg(ap, char *);
	    result += *s;
	    break;
	case 'f':
	    f = va_arg(ap, double);
	    result += f;
	    break;
	case 'c':
	    c = va_arg(ap, int);
	    result += c;
	    break;
	case 'd':
	    d = va_arg(ap, int);
	    result += d;
	    break;
	default:
	    assert(0);
	}
    }
    va_end(ap);
    return result;
}

int main (int argc __attribute__((__unused__)), char *argv[] __attribute__((__unused__))) {
    assert(5.0==foo("d", 5));
    assert(((double)'a')==foo("c", 'a'));
    assert(((double)'b')==foo("s", "b"));
    assert(6.5==foo("f", 6.5));
    assert(11.5==foo("df", 5, 6.5));
    return 0;
}
   
	    
